0

For some security reason, I need to use TLS1.2 protocol for my webapp. I can edit the httpd config file to choose ssl protocal and sslCipherSuite, but when I found that if I set sslCipherSuite to HIGH:!aNULL:!MD5, it would enable few set of CipherSuite.

Can I specify a sslCipherSuite for it, let say "TLS_RSA_WITH_AES_128_CBC_SHA256" ??

My httpd version is Apache/2.2.15

Thank you.

0

I need to use TLS1.2 protocol for my webapp.

If you want to enforce TLS 1.2 you need to set the protocol version accordingly and not the cipher suites. The relevant option is SSLProtocol. To allow only TLSv1.2 use and forbid previous protocol versions use:

 SSLProtocol TLSv1.2

See the official documentation for more details.

Can I specify a sslCipherSuite for it, let say "TLS_RSA_WITH_AES_128_CBC_SHA256" ??

To specify a cipher suite use the SSLCipherSuite option. The syntax needs to include the cipher in a syntax which can be understood by OpenSSL, see ciphers for more information. If you want to allow only this specific cipher use

SSLCipherSuite AES128-SHA256
| improve this answer | |
  • Not exactly what I want, I can enable the TLSv1.2, but just want to specify a CipherSuite. My client site needs a particular encryption CipherSuite. – Jay AU Dec 6 '17 at 14:02
  • @JayAU: see updated answer. – Steffen Ullrich Dec 6 '17 at 14:35

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.